package com.lilosoft;

import lombok.extern.slf4j.Slf4j;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.Banner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableScheduling
@SpringBootApplication
@Slf4j
public class RdsmsApiApplication {

    public static void main(String[] args) {
        SpringApplication app = new SpringApplication(RdsmsApiApplication.class);
        app.setBannerMode(Banner.Mode.CONSOLE);
        app.run(args);

        //standard字体生成
        String str = "";
        str = "                       88  \n" +
                "                       \"\"  \n" +
                ",adPPYYba, 8b,dPPYba,  88  \n" +
                "\"\"     `Y8 88P'    \"8a 88  \n" +
                ",adPPPPP88 88       d8 88  \n" +
                "88,    ,88 88b,   ,a8\" 88  \n" +
                "`\"8bbdP\"Y8 88`YbbdP\"'  88  \n" +
                "           88              \n" +
                "           88              \n";

        log.info("ヾ(@°^°@)ヾ    启动成功      ヾ(@°^°@)ヾ\n" + str);
        log.info("ApiApplication is success!");
    }
}