package com.lilosoft.api.bean.receive;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import lombok.Data;

@Data
public class ReceiveMsgInfo {
    private String msg;
    private String wordUrl;
    private String isSkip;
    private String itemCode;
    private String code;
    private String isRpa;
    private List<FileDataItem> fileData;
    private String type;
    private String batchId;
    private String isPrintWord;
    private List<Object> labels;
    private ProjectData projectData;
    private String artificialType;
    private String rpaData;
    private String wordTips;
    private String scanUrl;
    private Boolean success;
    private String fileUrl;
    private String pageUrl;
    private String enterpriseId;
    private String isReceipt;
    private String projectId;
    private List<ErrorsItem> errors;

    private Map<String, String> userData;
}